#pragma once
#include "building.h"

class Block : public Building{
    private:
        int totalApartments;
        int occupiedApartments;
    public:
        Block(int constructionYear, int totalApartments, int occupiedApartments);
        ~Block()=default;
        bool mustBeRestored() override;
        bool canBeDemolished() override;
        std::string toString() override;
};